import { assertEquals } from "https://deno.land/std@0.223.0/assert/mod.ts";
import { relative, setProjectRoot } from "./path.ts";

Deno.test("Test relative without setProjectRoot", () => {
  const rel = relative("file://c:/projects/staxman/containerlib/path.ts");
  assertEquals(rel, "file://c:/projects/staxman/containerlib/path.ts");
});

Deno.test("Test relative with setProjectRoot", () => {
  setProjectRoot("file://c:/projects/staxman/containerlib/module.ts");

  // In subdir
  const insubdir = relative(
    "file://c:/projects/staxman/containerlib/subdir/path.ts"
  );
  assertEquals(insubdir, "subdir/path.ts");

  // Same folder as base
  const samedir = relative("file://c:/projects/staxman/containerlib/path.ts");
  assertEquals(samedir, "path.ts");
});
